Subject: Re: [PATCH 0/2] net: Implement SO_PEERCGROUP and SO_PASSCGROUP socket options

From: Vivek Goyal <[email-masked]>
Date: Thu, 24 Apr 2014 09:01:22 -0400

On Wed, Apr 23, 2014 at 04:53:31PM -0400, Daniel J Walsh wrote:
> 
> On 04/23/2014 03:05 PM, Vivek Goyal wrote:
> > On Tue, Apr 22, 2014 at 01:31:13PM -0700, Andy Lutomirski wrote:
> > [..]
> >>> Otherwise, without SO_PASSCGROUP, there is no way for datagram sockets
> >>> to find out the peer's open() time cgroup.
> >> Right.
> >>
> >> I'd still like to know what userspace applications want this feature.
> >> The canonical example seems to be journald, but journald doesn't use
> >> unix datagram sockets AFAICS,
> > Dan Walsh mentiond that systemd also monitors /dev/log (datagram socket) and
> > logs everything in journal. There this information should be useful.
> >
> > Thanks
> > Vivek
> I am fine with collecting only the information available at "open".  I
> can potentially see other Userspace Resource Constraints being built
> based on the Cgroup the process is in.  For example openshift wants to 
> limit the amount of email a process can send to only a few per second,
> which might be able to be controlled by a relay listening on a
> particular socket. Then it could change the rules based on the
> Cgroup/Unit file the calling process was in. 

I suspect that we will see the need of both the kind of cgroup
information. One which shows current cgroup of sender and other which
shows cgroup of client when socket was opened. 

For the time being I will modify my patch as Dave Miller suggested and
repost. May be down the line there will be another option say
SO_PASSCURRENTCGROUP which will carry current cgroup of sender.

Thanks
Vivek